GETGID(2)

NAME
getgid, getegid - get group identity

SYNOPSIS
#include <unistd.h>
#include <sys/types.h>

gid_t getgid(void);
gid_t getegid(void);

DESCRIPTION
getgid() returns the real group ID of the current process. getegid() returns the effective group ID of the current process.

ERRORS
These functions are always successful.

CONFORMING TO
POSIX.1-2001, 4.3BSD

SEE ALSO
setgid(2), setregid(2)

COLOPHON
This page is part of release 2.72 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.